Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163451 - bad:Kernel breaks on pppd start during dial-up.
Summary: bad:Kernel breaks on pppd start during dial-up.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-17 04:25 UTC by Andrew Vitolins
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-04 05:11:13 UTC


Attachments (Terms of Use)

Description Andrew Vitolins 2005-07-17 04:25:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I have an Lucent tech modem. On pppd start the system locks up using the default kernel with my modem driver compiled against it.

   I am now using kernel-2.6.12.2 from kernel.org. without this problem.
     I also had the same problem while using FedoraCore3 with kernel-2.6.11.3 vanilla from kernel.org.
     The following day they released Patch-2.6.11.4 which resolved my problem.

   TEXT from changelog-2.6.11.4
    
<paulus@au1.ibm.com>
	[PATCH] CAN-2005-0384: Remote Linux DoS on ppp servers
	
	Martin Schulze writes:
	
	> Ben Martel and Stephen Blackheath have discovered a denial-of-service attack
	> that a client of pppd can make that can hang the server machine.  The bug is
	> in the Linux kernel 2.6 (tested on 2.6.9), but it looks like it also exists
	> in the 2.4 series.
	
	Yes, this is my bug. :(
	
	I would just do this instead:
	
	Signed-off-by: Chris Wright <chrisw@osdl.org>
	Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

<akpm@osdl.org>
	[PATCH] use strncpy in get_task_comm
	
	From: Prasanna Meda <pmeda@akamai.com>
	
	Set_task_comm uses strlcpy, so get_task_comm must use strncpy.
	
	Signed-Off-by: Prasanna Meda <pmeda@akamai.com>
	Signed-off-by: Andrew Morton <akpm@osdl.org>
	Signed-off-by: Chris Wright <chrisw@osdl.org>
	Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

<gregkh@suse.de>
	Linux 2.6.11.4

-----------------------------------------------------------------------------
         the FC4 kernel must contain the same bug.
 I hope the info helps
rgds Andrew


Version-Release number of selected component (if applicable):
 2.6.12-1.1398_FC4-i686  & all previous.

How reproducible:
Always

Steps to Reproduce:
1.dial-up
2.
3.
  

Actual Results:  ppp negotiation starts,username & passwd are verified,then when pppd starts up the system locks up

Expected Results:  connect to my isp

Additional info:

Comment 1 Dave Jones 2005-08-04 05:11:13 UTC
the bug above must be unrelated, as the patch is included in subsequent kernels,
including the 2.6.12 on which the FC4 kernel is based.  More likely you've hit a
bug in your out-of-tree driver.  I suggest taking it up with the vendor of that
module.



Note You need to log in before you can comment on or make changes to this bug.